select 
    l_returnflag, 
    l_linestatus, 
    sum(l_quantity) as sum_qty, 
    sum(l_extendedprice) as sum_base_price, 
    sum(l_extendedprice * (1 - l_discount/10000)) as sum_disc_price, 
    sum(l_extendedprice * (1 - l_discount/10000) * (1 + l_tax/10000)) as sum_charge, 
    avg(l_quantity) as avg_qty, 
    avg(l_extendedprice) as avg_price, 
    avg(l_discount) as avg_disc, 
    count(*) as count_order 
from
    LINEITEM 
where 
    l_shipdate <= 903132000 
group by 
    l_returnflag, l_linestatus 
order by
    l_returnflag, l_linestatus;
